Public Class entUserPage : Inherits entmainCategory
#Region "Private Fields"
    Private intPageID As Integer
    Private strPageName As String
    Private strPageContent As String
    Private strPageHeaderText As String
    Private strPageTitle As String
    Private strPageMetaName As String
    Private strPageMetaContent As String
    Private strMainImage As String
    Private _BulletList As String
    Private _CategoryID As Integer
    Private intActive As Integer
    Private intDeleted As Integer
    Private strCreatedBy As String
    Private strCreatedDate As String
    Private intDeletedBy As String
    Private intDeletedDate As String
    Private strModifiedBy As String
    Private strModifiedDate As String
    Private strPageMetaTitle As String
#End Region
#Region "Public Properties"
    Public Property PageID() As Integer
        Get
            Return intPageID
        End Get
        Set(ByVal value As Integer)
            intPageID = value
        End Set
    End Property
    Public Property PageName() As String
        Get
            Return strPageName
        End Get
        Set(ByVal value As String)
            strPageName = value
        End Set
    End Property
    Public Property PageContent() As String
        Get
            Return strPageContent
        End Get
        Set(ByVal value As String)
            strPageContent = value
        End Set
    End Property
    Public Property PageHeaderText() As String
        Get
            Return strPageHeaderText
        End Get
        Set(ByVal value As String)
            strPageHeaderText = value
        End Set
    End Property
    Public Property PageTitle() As String
        Get
            Return strPageTitle
        End Get
        Set(ByVal value As String)
            strPageTitle = value
        End Set
    End Property
    Public Property PageMetaName() As String
        Get
            Return strPageMetaName
        End Get
        Set(ByVal value As String)
            strPageMetaName = value
        End Set
    End Property
    Public Property PageMetaContent() As String
        Get
            Return strPageMetaContent
        End Get
        Set(ByVal value As String)
            strPageMetaContent = value
        End Set
    End Property
    Public Property MainImage() As String
        Get
            Return strMainImage
        End Get
        Set(ByVal value As String)
            strMainImage = value
        End Set
    End Property

    Public Property Active() As Integer
        Get
            Return intActive
        End Get
        Set(ByVal value As Integer)
            intActive = value
        End Set
    End Property
    Public Property Deleted() As Integer
        Get
            Return intDeleted
        End Get
        Set(ByVal value As Integer)
            intDeleted = value
        End Set
    End Property
    Public Property CreatedBy() As String
        Get
            Return strCreatedBy
        End Get
        Set(ByVal value As String)
            strCreatedBy = value
        End Set
    End Property
    Public Property CreatedDate() As String
        Get
            Return strCreatedDate
        End Get
        Set(ByVal value As String)
            strCreatedDate = value
        End Set
    End Property
    Public Property DeletedBy() As String
        Get
            Return intDeletedBy
        End Get
        Set(ByVal value As String)
            intDeletedBy = value
        End Set
    End Property
    Public Property DeletedDate() As String
        Get
            Return intDeletedDate
        End Get
        Set(ByVal value As String)
            intDeletedDate = value
        End Set
    End Property
    Public Property ModifiedBy() As String
        Get
            Return strModifiedBy
        End Get
        Set(ByVal value As String)
            strModifiedBy = value
        End Set
    End Property
    Public Property ModifiedDate() As String
        Get
            Return strModifiedDate
        End Get
        Set(ByVal value As String)
            strModifiedDate = value
        End Set
    End Property
    Public Property MetaTitle() As String
        Get
            Return strPageMetaTitle
        End Get
        Set(ByVal value As String)
            strPageMetaTitle = value
        End Set
    End Property



    Public Property CategoryID() As Integer
        Get
            Return _CategoryID
        End Get
        Set(ByVal value As Integer)
            _CategoryID = value
        End Set
    End Property


    Public Property BulletList() As String
        Get
            Return _BulletList
        End Get
        Set(ByVal value As String)
            _BulletList = value
        End Set
    End Property

#End Region
End Class
